// ConsoleApplication5.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "iostream"
#include "string"
using namespace std;
int _tmain(int argc, _TCHAR* argv[])
{
	string s1;
	string s2="ASDFGH";
	//cin>>s1;
	cout<<s1<<endl<<endl;
	s1.append("eklendi");
	cout<<s1<<endl<<endl;
	s1.assign("ASAMA");
	cout<<s1<<endl<<endl;
	s1.append("AABBBCCCDDD",1,5);
	s1.append(5,'!');
	cout<<s1<<endl<<endl;
	s1.append(s2.begin()+3,s2.end());
	cout<<s1<<endl<<endl;
	cout<<s1.at(5)<<endl<<endl;
	cout<<s1[5]<<endl<<endl;
	cout<<s1.compare(0,2,s2,0,2)<<endl;
	cout<<s1.find("ASAMA",0)<<endl;
	s1.insert(5,s2,2,2);
	cout<<s1<<endl<<endl;
	cout<<s2<<endl<<endl;
	s1.swap(s2);
	cout<<s2<<endl<<endl;
	//msdn.microsoft.com/tr-tr/library/syxtdd4f(v=vs.110).aspx
	system("pause");
	return 0;
}

